Subject: bug#11847: 24.1.50; Error: Don't know how to compile #[nil "..."]

From: "Drew Adams" <[email-masked]>
Date: Mon, 2 Jul 2012 23:21:27 -0700

> such functions are defined inside an
> `eval-after-load' form, which means they are defined
> only, and as soon as, the required library is loaded.
> 
> If this option is non-nil then those function
> definitions are byte-compiled.

The error looks like Emacs is trying to byte-compile byte-compiled code.  So I
wonder: is a defun inside an eval-after-load byte-compiled when the file is
byte-compiled?

I was under the impression that it was not, hence the micmac.  If it is, then
presumably I can get rid of the option and explicit byte-compilation.  But if
this is the case, is it the case in older Emacs versions also?